Bug 79 - NodeService picks up wireless but not wired network connection
: NodeService picks up wireless but not wired network connection
Status: RESOLVED FIXED
: Node Management Software
AGNodeService
: 2.0-alpha0
: PC Windows XP
: P2 blocker (vote)
: ---
Assigned To:
:
: 77
:
  Show dependency treegraph
 
Reported: 2003-02-20 13:56 by
Modified: 2003-03-24 13:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-02-20 13:56:06
I'm running AG2 on an IBM T23 laptop.  The laptop has both wired and wireless 
network cards.  When I installed AG2 I was using my wireless connection.  Now 
that I want to send audio/video, I switched my laptop to the wired connection.  
When I launch either the AGNodeService.py or AGServiceManager.py files, I see 
it picks up my wireless network connection which is disabled.  I can find no 
way to force it to pick up the wired connection.
------- Comment #1 From 2003-02-22 10:45:10 -------
This will work properly when bug #73 is resolved.
------- Comment #2 From 2003-02-22 10:46:32 -------
This is dependant upon bug #73 to get fixed. Anytime we have an bug on a 
machine with multiple interfaces and windows -- it's bug #73 :-)
------- Comment #3 From 2003-02-24 09:29:15 -------
A workaround (and indeed the action that the globus-init script 
will take when it is completed) is to set the environment
variable GLOBUS_HOSTNAME to the name that is mapped to the 
interface you want to use. 

You can do this temporarly for a command window with

    set GLOBUS_HOSTNAME=fully.qualified.domain.name

or globally by setting it the environment variable control panel 
(under the system control panel under the advanced tab).

------- Comment #4 From 2003-03-15 10:28:28 -------
I think this is now in the new globus install that will be available later
today. Once we announce the new version could you try it out to make sure it works.
------- Comment #5 From 2003-03-24 13:40:30 -------
Resolving